var _____WB$wombat$assign$function_____=function(name){return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name))||self[name];};if(!self.__WB_pmw){self.__WB_pmw=function(obj){this.__WB_source=obj;return this;}}{
let window = _____WB$wombat$assign$function_____("window");
let self = _____WB$wombat$assign$function_____("self");
let document = _____WB$wombat$assign$function_____("document");
let location = _____WB$wombat$assign$function_____("location");
let top = _____WB$wombat$assign$function_____("top");
let parent = _____WB$wombat$assign$function_____("parent");
let frames = _____WB$wombat$assign$function_____("frames");
let opens = _____WB$wombat$assign$function_____("opens");
ysi.localstorage={getItem:function(t,e){if(!this.supportsLocalStorage())return null;var r=function(t){return t=void 0!==t?t:null,"function"==typeof e?e(t):t},o=localStorage.getItem(t);if(null!==o){if((o=JSON.parse(o)).hasOwnProperty("__expiry")){var a=o.__expiry;return Date.now()>=a?(this.removeItem(t),r()):r(o.__data)}return r(o)}return r()},setItem:function(t,e,r){if(!this.supportsLocalStorage()||void 0===e||null===t||null===e)return!1;"number"==typeof r&&(e={__data:e,__expiry:Date.now()+1e3*parseInt(r)});try{return localStorage.setItem(t,JSON.stringify(e)),!0}catch(e){return console.log("Unable to store "+t+" in localStorage due to "+e.name),!1}},removeItem:function(t){this.supportsLocalStorage()&&localStorage.removeItem(t)},clear:function(){this.supportsLocalStorage()&&localStorage.clear()},supportsLocalStorage:function(){try{return localStorage.setItem("_","_"),localStorage.removeItem("_"),!0}catch(t){return!1}}};
}